=== debian/changelog ===
incus (6.0.4-2+deb13u1) trixie-security; urgency=high

  * Backport fixes for the following security issues:
    - CVE-2025-54293 / GHSA-472f-vmf2-pr3h
    - CVE-2025-54287 / GHSA-w2hg-2v4p-vmh6
    - CVE-2025-54288 / GHSA-7232-97c6-j525
    - CVE-2025-54286 / GHSA-p8hw-rfjg-689h
    - CVE-2025-54290 / GHSA-p3x5-mvmp-5f35
    - CVE-2025-54291 / GHSA-xch9-h8qw-85c7
    - CVE-2025-54289 / GHSA-3g72-chj4-2228

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 02 Oct 2025 15:51:07 +0000

incus (6.0.4-2) unstable; urgency=medium

  * Fix inadvertent policy violation where build created files in HOME
    (Closes: #1103554)
  * Cherry-pick upstream fixes:
    - Cleanup old qemu sockets
    - Retry agent mounts
    - USB hotplugging
  * d/control:
    - Add back Build-Using stanzas
    - Add squashfs-tools-ng to incus-base Required packages
    - Have incus-client Suggest "spice-client-gtk | virt-viewer"
  * Update systemd service to wait long enough for Incus to correctly shutdown
  * Update systemd and sysv init scripts to use `incusd waitready`

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 27 Apr 2025 14:45:33 +0000

incus (6.0.4-1) unstable; urgency=medium

  * New upstream release
    - Rebase patches and drop upstream cherry-picked commits
  * d/control:
    - Update Build-Depends and Depends
    - Add lego to list of Suggested packages for incus-base

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Apr 2025 02:43:07 +0000

incus (6.0.3-5) unstable; urgency=medium

  [ Martin Steigerwald ]
  * Runit support for Incus (Closes: #1084990)

  [ Mathias Gibbens ]
  * d/control:
    - Apply hack for /usr-move (Closes: #1099444; DEP17 P1 M7)
    - Update minimum required version of lxcfs to ensure its runit scripts
      will be available
    - Set minimum version of apparmor
    - Replace Built-Using with Static-Built-Using
  * Add apparmor 4.x userns patch
  * Cherry-pick upstream commit for selecting SecureBoot capable OVMF
  * Cherry-pick upstream fix for qemu 10
  * Update d/README.Debian to reflect addition of runit scripts
  * Fix lintian warning old-fsf-address-in-copyright-file in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 31 Mar 2025 22:36:28 +0000
