## incus 6.0.5

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CGO_LDFLAGS_ALLOW ?= (-Wl,-wrap,pthread_create)|(-Wl,-z,now)
 SPHINXENV=doc/.sphinx/venv/bin/activate
 SPHINXPIPPATH=doc/.sphinx/venv/bin/pip
-OVN_MINVER=22.03.0
+OVN_MINVER=23.03.0
 OVS_MINVER=2.15.0
 
 ifneq "$(wildcard vendor)" ""
@@ -94,6 +94,7 @@
 	exit 1
 endif
 	$(GO) get -t -v -u ./...
+	$(GO) get github.com/go-jose/go-jose/v4@v4.0.5
 	$(GO) mod tidy --go=1.23.7
 	$(GO) get toolchain@none
 
@@ -296,13 +297,15 @@
 ifeq ($(shell command -v go-licenses),)
 	(cd / ; $(GO) install -v -x github.com/google/go-licenses@latest)
 endif
+ifeq ($(shell command -v govulncheck),)
+	go install golang.org/x/vuln/cmd/govulncheck@latest
+endif
 ifeq ($(shell command -v golangci-lint),)
 	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $$($(GO) env GOPATH)/bin
 endif
 ifeq ($(shell command -v shellcheck),)
 	echo "Please install shellcheck"
 	exit 1
-else
 endif
 ifeq ($(shell command -v flake8),)
 	echo "Please install flake8"
@@ -340,5 +343,3 @@
 .PHONY: update-openfga
 update-openfga:
 ifeq ($(shell command -v fga),)
-	(cd / ; $(GO) install -v -x github.com/openfga/cli/cmd/fga@latest)
-endif
