=== debian/changelog ===
incus (6.0.5-3) unstable; urgency=medium

  * Cherry-pick upstream changes for libovsdb import path change

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 19 Oct 2025 23:28:28 +0000

incus (6.0.5-2) unstable; urgency=medium

  * Temporarily revert commit that broke running `incus exec` for VMs
    (Closes: #1114918)
  * Update IncusOS network struct patch
  * Drop redundant Rules-Requires-Root from d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 27 Sep 2025 19:35:06 +0000

incus (6.0.5-1) unstable; urgency=medium

  * New upstream release:
    - Add patch to import IncusOS network struct definitions
    - Rebase d/p/002-adjust-import-paths.patch
    - Drop custom userns patch
    - Drop upstream cherry-picked commits
    - Update logic for building incus-agent binaries, including ones for
      Windows
  * d/control:
    - Update Build-Depends and Depends
    - Fix Breaks version
  * Update paths in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 16 Aug 2025 01:49:46 +0000

incus (6.0.4-3) unstable; urgency=medium

  * Document packaging policy for LTS and Feature releases
  * Add patch for building with updated zitadel-oidc
  * d/control:
    - Limit VM dependencies to supported host architectures: amd64, arm64,
      ppc64el, and s390x
    - Update Build-Depends and Depends
    - Add Breaks for distrobuilder
    - Don't Suggest ceph-common for 32bit architectures
  * Update d/README.Debian

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 10 Aug 2025 15:56:48 +0000
