=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any (>= 2:1.22~),
+               golang-any (>= 2:1.23~),
+               golang-github-adhocore-gronx-dev,
+               golang-github-apex-log-dev,
                golang-github-armon-go-proxyproto-dev,
                golang-github-cenkalti-backoff-dev,
                golang-github-checkpoint-restore-go-criu-dev (>= 7),
                golang-github-cowsql-go-cowsql-dev,
-               golang-github-digitalocean-go-qemu-dev,
                golang-github-digitalocean-go-smbios-dev,
                golang-github-dustinkirkland-golang-petname-dev,
-               golang-github-flosch-pongo2.v4-dev,
+               golang-github-flosch-pongo2.v6-dev,
                golang-github-fvbommel-sortorder-dev,
                golang-github-go-chi-chi-dev,
                golang-github-go-jose-go-jose-dev,
@@ -26,45 +27,43 @@
                golang-github-gorilla-mux-dev,
                golang-github-gorilla-websocket-dev,
                golang-github-gosexy-gettext-dev,
-               golang-github-j-keck-arping-dev,
+               golang-github-inconshreveable-mousetrap-dev,
                golang-github-jaypipes-pcidb-dev,
                golang-github-jochenvg-go-udev-dev,
                golang-github-kballard-go-shellquote-dev,
                golang-github-mattn-go-colorable-dev,
                golang-github-mattn-go-sqlite3-dev,
+               golang-github-mdlayher-arp-dev,
                golang-github-mdlayher-ndp-dev,
                golang-github-mdlayher-netx-dev,
                golang-github-mdlayher-vsock-dev,
                golang-github-miekg-dns-dev,
                golang-github-minio-minio-go-v7-dev,
                golang-github-mitchellh-mapstructure-dev,
-               golang-github-olekukonko-tablewriter-dev,
+               golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
                golang-github-openfga-go-sdk-dev (>= 0.6.0),
+               golang-github-opensuse-umoci-dev,
                golang-github-osrg-gobgp-dev (>= 3.10.0),
-               golang-github-ovn-org-libovsdb-dev,
+               golang-github-ovn-kubernetes-libovsdb-dev,
                golang-github-pierrec-lz4-dev (>= 4.1.18),
                golang-github-pkg-sftp-dev,
                golang-github-pkg-xattr-dev,
-               golang-github-rican7-retry-dev,
-               golang-github-robfig-cron-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
                golang-github-stretchr-testify-dev,
                golang-github-vishvananda-netlink-dev,
-               golang-github-zitadel-oidc-dev (>= 3.0),
-               golang-gocapability-dev,
+               golang-github-zitadel-oidc-dev (>= 3.44.0),
                golang-golang-x-crypto-dev,
                golang-golang-x-exp-dev,
                golang-golang-x-oauth2-dev,
                golang-golang-x-sync-dev,
-               golang-golang-x-sys-dev,
+               golang-golang-x-sys-dev (>= 0.22.0-2~),
                golang-golang-x-term-dev,
                golang-golang-x-text-dev,
                golang-golang-x-tools-dev,
                golang-google-protobuf-dev,
                golang-gopkg-lxc-go-lxc.v2-dev,
-               golang-gopkg-tomb.v2-dev,
                golang-gopkg-yaml.v2-dev,
                golang-k8s-utils-dev,
                golang-starlark-dev (>= 0.0~git20240725.42030a7),
@@ -77,21 +76,21 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/incus
 Vcs-Git: https://salsa.debian.org/go-team/packages/incus.git
 Homepage: https://linuxcontainers.org/incus/
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/lxc/incus
 
 Package: golang-github-lxc-incus-dev
 Architecture: all
 Multi-Arch: foreign
 Section: golang
-Depends: golang-github-armon-go-proxyproto-dev,
+Depends: golang-github-adhocore-gronx-dev,
+         golang-github-apex-log-dev,
+         golang-github-armon-go-proxyproto-dev,
          golang-github-cenkalti-backoff-dev,
          golang-github-checkpoint-restore-go-criu-dev (>= 7),
          golang-github-cowsql-go-cowsql-dev,
-         golang-github-digitalocean-go-qemu-dev,
          golang-github-digitalocean-go-smbios-dev,
          golang-github-dustinkirkland-golang-petname-dev,
-         golang-github-flosch-pongo2.v4-dev,
+         golang-github-flosch-pongo2.v6-dev,
          golang-github-fvbommel-sortorder-dev,
          golang-github-go-chi-chi-dev,
          golang-github-go-jose-go-jose-dev,
@@ -103,49 +102,48 @@
          golang-github-gorilla-mux-dev,
          golang-github-gorilla-websocket-dev,
          golang-github-gosexy-gettext-dev,
-         golang-github-j-keck-arping-dev,
+         golang-github-inconshreveable-mousetrap-dev,
          golang-github-jaypipes-pcidb-dev,
          golang-github-jochenvg-go-udev-dev,
          golang-github-kballard-go-shellquote-dev,
          golang-github-mattn-go-colorable-dev,
          golang-github-mattn-go-sqlite3-dev,
+         golang-github-mdlayher-arp-dev,
          golang-github-mdlayher-ndp-dev,
          golang-github-mdlayher-netx-dev,
          golang-github-mdlayher-vsock-dev,
          golang-github-miekg-dns-dev,
          golang-github-minio-minio-go-v7-dev,
          golang-github-mitchellh-mapstructure-dev,
-         golang-github-olekukonko-tablewriter-dev,
+         golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
          golang-github-openfga-go-sdk-dev (>= 0.6.0),
+         golang-github-opensuse-umoci-dev,
          golang-github-osrg-gobgp-dev (>= 3.10.0),
-         golang-github-ovn-org-libovsdb-dev,
+         golang-github-ovn-kubernetes-libovsdb-dev,
          golang-github-pierrec-lz4-dev (>= 4.1.18),
          golang-github-pkg-sftp-dev,
          golang-github-pkg-xattr-dev,
-         golang-github-rican7-retry-dev,
-         golang-github-robfig-cron-dev,
          golang-github-sirupsen-logrus-dev,
          golang-github-spf13-cobra-dev,
          golang-github-spf13-pflag-dev,
          golang-github-stretchr-testify-dev,
          golang-github-vishvananda-netlink-dev,
-         golang-github-zitadel-oidc-dev (>= 3.0),
-         golang-gocapability-dev,
+         golang-github-zitadel-oidc-dev (>= 3.44.0),
          golang-golang-x-crypto-dev,
          golang-golang-x-exp-dev,
          golang-golang-x-oauth2-dev,
          golang-golang-x-sync-dev,
-         golang-golang-x-sys-dev,
+         golang-golang-x-sys-dev (>= 0.22.0-2~),
          golang-golang-x-term-dev,
          golang-golang-x-text-dev,
          golang-golang-x-tools-dev,
          golang-google-protobuf-dev,
          golang-gopkg-lxc-go-lxc.v2-dev,
-         golang-gopkg-tomb.v2-dev,
          golang-gopkg-yaml.v2-dev,
          golang-k8s-utils-dev,
          golang-starlark-dev (>= 0.0~git20240725.42030a7),
          ${misc:Depends}
+Breaks: distrobuilder (<< 3.2-3)
 Description: Powerful system container and virtual machine manager - library
  Incus is a next generation system container and virtual machine manager.
  It offers a unified user experience around full Linux systems running
@@ -157,19 +155,17 @@
 
 Package: incus
 # Technically this package is arch:all, but to use architecture restrictions for
-# the qemu-system-* dependencies, we must use a variant of arch:any
-Architecture: linux-any
-Depends: ${misc:Depends},
-         incus-agent (= ${binary:Version}),
+# supported host VM architectures, we must use a variant of arch:any
+Architecture: linux-any
+Depends: ${misc:Depends},
+         incus-agent (= ${binary:Version}) [amd64 arm64 ppc64el s390x],
          incus-base (= ${binary:Version}),
-         qemu-system-arm (>= 1:8.0) [arm64 armel armhf],
-         qemu-system-mips (>= 1:8.0) [mips64el],
+         qemu-system-arm (>= 1:8.0) [arm64],
          qemu-system-ppc (>= 1:8.0) [ppc64el],
-         qemu-system-riscv (>= 1:8.0) [riscv64],
          qemu-system-s390x (>= 1:8.0) [s390x],
-         qemu-system-x86 (>= 1:8.0) [amd64 i386],
-         swtpm,
-         virtiofsd [!armel !armhf !i386]
+         qemu-system-x86 (>= 1:8.0) [amd64],
+         swtpm [amd64 arm64 ppc64el s390x],
+         virtiofsd [amd64 arm64 ppc64el s390x]
 Suggests: gdisk
 Built-Using: ${misc:Built-Using}
 Static-Built-Using: ${misc:Static-Built-Using}
@@ -183,6 +179,7 @@
  simple, REST API.
  .
  This metapackage will install everything needed to run containers and VMs.
+ Only amd64, arm64, ppc64el, and s390x are supported as VM host architectures.
 
 Package: incus-base
 Architecture: linux-any
@@ -205,7 +202,7 @@
             dnsmasq-base
 # First line of suggested packages will enable additional Incus storage backends
 # Second line lists additional optional tools
-Suggests: btrfs-progs, ceph-common, lvm2, zfsutils-linux,
+Suggests: btrfs-progs, ceph-common [!armel !armhf !i386], lvm2, zfsutils-linux,
           incus-extra, lego, minio-client
 Built-Using: ${misc:Built-Using}
 Static-Built-Using: ${misc:Static-Built-Using}
@@ -274,4 +271,3 @@
 Depends: ${misc:Depends}
 Built-Using: ${misc:Built-Using}
 Static-Built-Using: ${misc:Static-Built-Using}
-Description: Incus guest agent
